> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a message template

> Get one message template of a form.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/message-templates.yaml GET /forms/{form_id}/message_templates/{id}
openapi: 3.0.3
info:
  title: NeetoForm Message Templates APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/message_templates/{id}:
    get:
      tags:
        - Message Templates
      summary: Get a message template
      description: Get one message template of a form.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
        - $ref: '#/components/parameters/message_template_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/message_template_response'
        '404':
          $ref: '#/components/responses/response_record_not_found'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
    message_template_id_param:
      in: path
      name: id
      description: >-
        Unique ID of the message template. You can get it from the [List message
        templates](/api/message-templates/list) API.
      required: true
      schema:
        type: string
        example: 7c1e5a52-7a0e-4f2b-9d57-3d6a1a2f9c11
  schemas:
    message_template_response:
      type: object
      properties:
        message_template:
          $ref: '#/components/schemas/message_template'
    message_template:
      type: object
      properties:
        id:
          type: string
          example: 7c1e5a52-7a0e-4f2b-9d57-3d6a1a2f9c11
        name:
          type: string
          example: Welcome
        template_type:
          type: string
          enum:
            - email
            - sms
          example: email
        status:
          type: string
          enum:
            - active
            - inactive
          example: active
        subject:
          type: string
          nullable: true
          description: Subject of an email template. It is null for SMS templates.
          example: Hello
        body:
          type: string
          example: <p>Hi</p>
        updated_at:
          $ref: '#/components/schemas/date_time_field'
    error_response:
      type: object
      properties:
        error:
          type: string
    date_time_field:
      type: string
      format: date-time
  responses:
    response_record_not_found:
      description: Not Found - The form or the record does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'
          example:
            error: Couldn't find the record you were looking for.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.